Bug 22933 - make RenderBlock::columnGap() public
Summary: make RenderBlock::columnGap() public
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other Linux
: P2 Normal
Assignee: Cary Clark
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-19 06:45 PST by Cary Clark
Modified: 2009-02-04 16:31 PST (History)
0 users

See Also:


Attachments
This patch makes RenderBlock::columnGap() public. (1.42 KB, patch)
2008-12-19 06:50 PST, Cary Clark
darin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Cary Clark 2008-12-19 06:45:31 PST
ANDROID creates an array of focus rectangles for navigation with a trackball or directional pad, and needs access to the column gap to implement this logic.
Comment 1 Cary Clark 2008-12-19 06:50:16 PST
Created attachment 26142 [details]
This patch makes RenderBlock::columnGap() public.
Comment 2 Darin Adler 2008-12-24 23:09:34 PST
Comment on attachment 26142 [details]
This patch makes RenderBlock::columnGap() public.

r=me

This is only a stopgap measure, though.

Until the code to make an array of focus rectangles is somewhere in the WebKit repository, there's a good chance someone will make this private again. It's not part of any public interface, and when researching they won't look at code that's not checked in here.
Comment 3 Eric Seidel (no email) 2009-02-04 16:31:40 PST
Committing to http://svn.webkit.org/repository/webkit/trunk ...
	M	WebCore/ChangeLog
	M	WebCore/rendering/RenderBlock.h
Committed r40646